<?php

const FILE_CONFIG       = '/etc/clearos/server_1c.conf';
const CLEAROS_TEMP_DIR  = '/var/clearos/framework/tmp';

function load_config() {

    	$section = null;
    	$config  = array();
    	
	if(file_exists(FILE_CONFIG)){
    	    $lines=file(FILE_CONFIG);
    	    foreach($lines as $line) {
    		$line = trim($line);
    	        if(strlen($line) == 0 || $line[0] == '#') {
    		    continue;
    		}
		$line=preg_replace('/\s+/',' ',$line);
		if(preg_match("/\[([^\]]+)\]/", $line, $m)) {
			$section = $m[1];
			$config[$section] = array();
			continue;
		}
		$line = explode("=", $line, 2);
		$config[$section][trim($line[0])] = trim($line[1]);
    	    }
    	}else
    	{
    	    $config['ITS']['username']='';
    	    $config['ITS']['password']='';
    	}
    	return $config['ITS'];
} 

function login1c($user, $pass){
	
	$ch = curl_init();
	$url='https://login.1c.ru/login';
	$agent = $_SERVER["HTTP_USER_AGENT"];
	curl_setopt($ch, CURLOPT_USERAGENT, $agent);
	curl_setopt($ch, CURLOPT_URL, $url );
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	
	$postResult = curl_exec($ch);
	
	$dom = new \DOMDocument;
	$execution = '';
    	$success=$dom->loadHTML($postResult);
    	if($success){
    		$form = $dom -> getElementById('loginForm');
    		if(!empty($form)){
    		    $input_list = $form -> getElementsByTagName('input');
    		    foreach ($input_list as $input)
    		    {
    			if($input->getAttribute('name')=='execution'){
    			    $execution=$input->getAttribute('value');
    			    break;
    			}
    		    }
    		}
    	
    	}
	 
	 $params=array( 
    	    'inviteCode'=>'', 
    	    'username' => $user,
    	    'password' => $pass,
    	    'execution' => $execution, 
    	    '_eventId' => 'submit',
    	    'geolocation' => '', 
    	    'submit' => 'Войти',
    	    'rememberMe' => 'on');
    	    
    	$url='https://login.1c.ru/login';
    	    
	$agent = 'Mozilla/5.0 (Windows NT 6.2; WOW64) AppleWebKit/537.31 (KHTML, like Gecko) Chrome/26.0.1410.64 Safari/537.31' ;
	curl_setopt($ch, CURLOPT_USERAGENT, $agent);
	curl_setopt($ch, CURLOPT_URL, $url );
	curl_setopt($ch, CURLOPT_POST, 1 );
	curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($params));
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
	curl_setopt($ch, CURLOPT_COOKIEJAR, CLEAROS_TEMP_DIR .'/platform_server_1c.txt');
	curl_setopt($ch, CURLOPT_COOKIEFILE, CLEAROS_TEMP_DIR .'/platform_server_1c.txt');
	         
	//Execute the action to login
	$postResult = curl_exec($ch);
	return $ch;
}

function install_rpm($platform)
{
    
	$its = load_config();

        $ch  = login1c($its['username'],$its['password']);
        $url = 'https://releases.1c.ru/version_files?nick=Platform83&ver='.$platform;
        curl_setopt($ch, CURLOPT_URL, $url);
        $postResult = curl_exec($ch);
        $dom = new DOMDocument;
        $dom->loadHTML($postResult);
        
        $list_of_a = $dom -> getElementsByTagName('a');

        foreach($list_of_a as $a_){
            if($a_->nodeValue=='Cервер 1С:Предприятия (64-bit) для RPM-based Linux-систем'){
        	$url =  $a_->getAttribute('href');
        	break;
            };
        }
	$url='https://releases.1c.ru'.$url;
	curl_setopt($ch, CURLOPT_URL, $url);
	$postResult = curl_exec($ch);
	                
	$dom->loadHTML($postResult);
	                        
	$list_of_a = $dom -> getElementsByTagName('a');
	                                
	foreach($list_of_a as $a_){
	    if($a_->nodeValue=='Скачать дистрибутив'){
		$url =  $a_->getAttribute('href');
		break;
	    };
	}
	
	$fp = fopen(CLEAROS_TEMP_DIR .'/platform_server_1c.lock', 'wb' );
        fputs( $fp, "$platform\n");
        fclose( $fp );
	
	$fh = fopen(CLEAROS_TEMP_DIR .'/1c.tar.gz', "wb");
	curl_setopt($ch, CURLOPT_FILE, $fh);
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_PROGRESSFUNCTION, 'progress_rpm');
	curl_setopt($ch, CURLOPT_NOPROGRESS, false);
	curl_setopt($ch, CURLOPT_BINARYTRANSFER, 1);
	                                                
	curl_exec($ch);
	curl_close($ch);
	
	$fp = fopen( CLEAROS_TEMP_DIR .'/progress_server_1c.tmp', 'r' );
        if($fp){
    	    $progress=fgets( $fp );
    	    fclose( $fp );
    	    if($progress!=100){
    		unlink(CLEAROS_TEMP_DIR .'/platform_server_1c.lock');
    	    }
    	}
}

function progress_rpm( $download_size, $downloaded_size, $upload_size, $uploaded_size )
{
        static $previousProgress = 0;
         
        if ( $download_size == 0 )
             $progress = 0;
        else
             $progress = round( $downloaded_size * 100 / $download_size );
        
        if ( $progress > $previousProgress)
        {
            $previousProgress = $progress;
            $fp = fopen(CLEAROS_TEMP_DIR .'/progress_server_1c.tmp', 'wb' );
            fputs( $fp, "$progress\n");
            fclose( $fp );
            //if($progress==100)
            //    unlink(CLEAROS_TEMP_DIR .'/progress_server_1c.tmp');
	}
}

try{
    install_rpm($argv[1]); 
}catch(Exeption $ex){
    $fp = fopen(CLEAROS_TEMP_DIR .'/progress_server_1c_error.txt', 'wb' );
    fputs( $fp, $ex->getMessage() );
    fclose( $fp );
}

?>