<?php

/**
 * Javascript helper for Flexshare.
 *
 * @category   apps
 * @package    flexshare
 * @subpackage javascript
 * @author     ClearFoundation <developer@clearcenter.com>
 * @copyright  2011-2017 ClearFoundation
 * @license    http://www.gnu.org/copyleft/gpl.html GNU General Public License version 3 or later
 * @link       http://www.clearfoundation.com/docs/developer/apps/flexshare/
 */

///////////////////////////////////////////////////////////////////////////////
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
// B O O T S T R A P
///////////////////////////////////////////////////////////////////////////////

$bootstrap = getenv('CLEAROS_BOOTSTRAP') ? getenv('CLEAROS_BOOTSTRAP') : '/usr/clearos/framework/shared';
require_once $bootstrap . '/bootstrap.php';

///////////////////////////////////////////////////////////////////////////////
// T R A N S L A T I O N S
///////////////////////////////////////////////////////////////////////////////

clearos_load_language('base');
clearos_load_language('flexshare');

///////////////////////////////////////////////////////////////////////////////
// J A V A S C R I P T
///////////////////////////////////////////////////////////////////////////////

header('Content-Type: application/x-javascript');
?>

$(document).ready(function() {

    $('#type').on('change', function(e) {
        handleType();
    });

    function handleType() {    
        if ($('#type').val() == 'local'){
            $('#address').hide();
            $('#address_label').hide();
            }
        else{
            $('#address').show();
            $('#address_label').show();
            }
    }
    
    if ($(location).attr('href').match(/.*\/install1c($|\/.*|\#$)/) != null) {
         get_progress();
    }
    
    
    function get_progress() {
    $.ajax({
        url: '/app/server_1c/app_1c/progress',
        method: 'GET',
        dataType: 'json',
        success : function(json) {

            clearos_set_progress_bar('download', parseInt(json.download), null);
            clearos_set_progress_bar('install', parseInt(json.install), null);

            if (json.code === 0 && json.download != 100)
                window.location = '/app/server_1c';


            if (json.download == 100) {
                clearos_set_progress_bar('download', 100, null);
        	$('#install_button').show();                
                return;
            } else {
                window.setTimeout(get_progress, 1000);
            }

        },
        error: function(xhr, text, err) {
            window.setTimeout(get_progress, 1000);
        }
    });
  }
});



