<?php

/**
 * Server 1C view.
 *
 * @category   apps
 * @package    server-1c
 * @subpackage views
 * @author     High Tech Lider ltd. <htlead@htlead.kz>
 * @copyright  2018 High Tech Lider
 * @license    http://www.gnu.org/copyleft/gpl.html GNU General Public License version 3 or later
 * @link       https://github.com/htlead/clear_os_1c_server
 */


///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->load->helper('number');
$this->lang->load('base');
$this->lang->load('server_1c');

///////////////////////////////////////////////////////////////////////////////
// Settings form
///////////////////////////////////////////////////////////////////////////////

if($errs)
	echo infobox_warning(lang('base_error'), implode("<br>", $errs));

$headers = array(
    lang('server_1c_server_version'),
    lang('server_1c_platform_version'),
    lang('server_1c_major_version'),
    lang('server_1c_minor_version')
    
);

$items = array();

foreach ($rpmlist as  $rpm) {

    $item['title'] = $rpm[0].'.'.$rpm[1].'.'.$rpm[2].'.'.$rpm[3];
    $item['action'] = NULL;
    $item['anchors'] = button_set(array(anchor_custom('/app/server_1c/app_1c/install1c/'.$item['title'], lang('base_install')) ));
    $item['details'] = array($rpm[0],$rpm[1],$rpm[2],$rpm[3]);

    $items[] = $item;
}

// Table output
//-------------

$options = array(
    'id' => 'rpm_list',
    'default_rows' => 25,
);

$anchors = array();

$anchors[] = anchor_custom('/app/server_1c', lang('base_cancel'));

echo summary_table(
    lang('server_1c_downloadable_packages'),
    $anchors,
    $headers,
    $items,
    $options
);

echo form_close();
