<?php

/**
 * Server 1C view.
 *
 * @category   apps
 * @package    server-1c
 * @subpackage views
 * @author     High Tech Lider ltd. <htlead@htlead.kz>
 * @copyright  2018 High Tech Lider
 * @license    http://www.gnu.org/copyleft/gpl.html GNU General Public License version 3 or later
 * @link       https://github.com/htlead/clear_os_1c_server
 */


///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->load->helper('number');
$this->lang->load('base');
$this->lang->load('server_1c');

///////////////////////////////////////////////////////////////////////////////
// Settings form
///////////////////////////////////////////////////////////////////////////////

$headers = array(
    lang('server_1c_pg_type'),
    lang('server_1c_pg_database'),
    lang('server_1c_pg_user'),
    lang('server_1c_pg_address'),
    lang('server_1c_pg_method')
);

$items = array();


foreach ($access_list as  $access) {

    $item['title']   = $access['TYPE'].$access['DATABASE'].$access['USER'].$access['ADDRESS'].$access['METHOD'];
    $item['action']  = NULL;
    $json_string     = json_encode($access);
    $base64_string   = base64_encode($json_string);
    $url_string      = urlencode($base64_string);
    $item['anchors'] = button_set(array(anchor_custom('/app/server_1c/pg_1c/accessedit/'.$url_string ,lang('base_edit'))));
    $item['details'] = array(
			    $access['TYPE'],
			    $access['DATABASE'],
			    $access['USER'],
			    $access['ADDRESS'],
			    $access['METHOD']);

    $items[] = $item;
}

// Table output
//-------------

$options = array (
    'id' => lang('server_1c_pg_address'),
    'responsive' => [
//    2 => 'none',
//    3 => 'none',
//    4 => 'none',
//    5 => 'none',
//    6 => 'none',
    ],
    'default_rows' => 50
    );

$anchors   = array();
$anchors[] = anchor_cancel('/app/server_1c');

echo summary_table(
    lang('server_1c_pg_hba_conf'),
    $anchors,
    $headers,
    $items,
    $options
);

echo form_close();
