<?php

/**
 * Server 1C view.
 *
 * @category   apps
 * @package    server-1c
 * @subpackage views
 * @author     High Tech Lider ltd. <htlead@htlead.kz>
 * @copyright  2018 High Tech Lider
 * @license    http://www.gnu.org/copyleft/gpl.html GNU General Public License version 3 or later
 * @link       https://github.com/htlead/clear_os_1c_server
 */


///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->lang->load('base');
$this->lang->load('server_1c');

if($errs)
	echo infobox_warning(lang('base_error'), implode("<br>", $errs));

///////////////////////////////////////////////////////////////////////////////
// Settings form
///////////////////////////////////////////////////////////////////////////////

$headers = array(
    lang('server_1c_pg_database'),
    lang('server_1c_pg_owner'),
    lang('server_1c_pg_encoding'),
    lang('server_1c_pg_collate'),
    lang('base_size')
);

$items = array();

foreach ($databases as  $database) {

    $item['title'] = $database['name'];
    $item['action'] = NULL;
    $item['anchors'] = NULL; //button_set(array(anchor_custom('/app/server_1c/pg_1c/pgbackup/'.$database['name'], lang('base_backup')) ));
    $item['details'] = array(
			    $database['name'],
			    $database['owner'],
			    $database['encoding'],
			    $database['collate'],
			    $database['db_size']);

    $items[] = $item;
}
// Table output
//-------------

$options = array (
    'id' => lang('server_1c_pg_database'),
//    'responsive' => [
//    2 => 'none',
//    3 => 'none',
//    4 => 'none',
//    5 => 'none',
//    6 => 'none',
//    ],
    'default_rows' => 50
    );

$anchors   = array();
$anchors[] = anchor_custom('/app/server_1c/pg_1c/pgsetpassword/', lang('server_1c_pg_set_password'));
$anchors[] = anchor_custom('/app/server_1c/pg_1c/pgconnection/', lang('server_1c_pg_connection')); 
$anchors[] = anchor_custom('/app/server_1c/pg_1c/pgaccess/', lang('server_1c_pg_access'));
if($running_state){ 
    $anchors[] = anchor_custom('/app/server_1c/pg_1c/stop', lang('base_stop')); 
}else{
    $anchors[] = anchor_custom('/app/server_1c/pg_1c/start', lang('base_start')); 
}

echo summary_table(
    lang('server_1c_pg_name'),
    $anchors,
    $headers,
    $items,
    $options
);

echo form_close();
