<?php

/**
 * Server 1C view.
 *
 * @category   apps
 * @package    server-1c
 * @subpackage views
 * @author     High Tech Lider ltd. <htlead@htlead.kz>
 * @copyright  2018 High Tech Lider
 * @license    http://www.gnu.org/copyleft/gpl.html GNU General Public License version 3 or later
 * @link       https://github.com/htlead/clear_os_1c_server
 */

///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->lang->load('server_1c');

///////////////////////////////////////////////////////////////////////////////
// Form
///////////////////////////////////////////////////////////////////////////////

if($errs)
	echo infobox_warning(lang('base_error'), implode("<br>", $errs));

echo form_open('server_1c/rac_1c/cluster_edit');
echo form_header(lang('server_1c_rac_cluster_edit'));

$LBM = array('performance' => 'performance', 'memory' => 'memory');

foreach ($cluster_info as $key => $info) {
    
    $rac=explode(":",$info);
    
    switch (trim($rac[0])) {
        case 'cluster':
                $cluster=trim($rac[1]);
                break;
        case 'name':
                $name=trim($rac[1]);
                break;
        case 'expiration-timeout':
                $expiration_timeout=trim($rac[1]);;
                break;
        case 'lifetime-limit':
                $lifetime_limit=trim($rac[1]);
                break;
        case 'max-memory-size':
                $max_memory_size=trim($rac[1]);
                break;
        case 'max-memory-time-limit':
                $max_memory_time_limit=trim($rac[1]);
                break;
        case 'security-level':
                $security_level=trim($rac[1]);
                break;
        case 'session-fault-tolerance-level':
                $session_fault_tolerance_level=trim($rac[1]);
                break;
        case 'load-balancing-mode':
                $load_balancing_mode=trim($rac[1]);
                break;
        case 'errors-count-threshold':
                $errors_count_threshold=trim($rac[1]);
                break;
        case 'kill_problem_processes':
                $kill_problem_processes=trim($rac[1]);
                break;
   }
}

echo field_input    ('cluster',                        $cluster,                            lang('server_1c_rac_db_cluster'),                    true);
echo field_input    ('name',                           $name,                               lang('server_1c_rac_cluster_name'),                  false);
echo field_input    ('expiration_timeout',             $expiration_timeout,                 lang('server_1c_rac_expiration_timeout'),            false);
echo field_input    ('lifetime_limit',                 $lifetime_limit,                     lang('server_1c_rac_lifetime_limit'),                false);
echo field_input    ('max_memory_size',                $max_memory_size,                    lang('server_1c_rac_max_memory_size'),               false);
echo field_input    ('max_memory_time_limit',          $max_memory_time_limit,              lang('server_1c_rac_max_memory_time_limit'),         false);
echo field_input    ('security_level',                 $security_level,                     lang('server_1c_rac_security_level'),                false);
echo field_input    ('session_fault_tolerance_level',  $session_fault_tolerance_level,      lang('server_1c_rac_session_fault_tolerance_level'), false);
echo field_dropdown ('load_balancing_mode',            $LBM,      $load_balancing_mode,     lang('server_1c_rac_load_balancing_mode'),           false);
echo field_input    ('errors_count_threshold',         $errors_count_threshold,             lang('server_1c_rac_errors_count_threshold'),        false);
echo field_checkbox ('kill_problem_processes',         $kill_problem_processes,             lang('server_1c_rac_kill_problem_processes'),        false);


echo field_button_set(array(form_submit_update('submit'), anchor_cancel('/app/server_1c')));

echo form_footer();
echo form_close();

?>