<?php

/**
 * Server 1C view.
 *
 * @category   apps
 * @package    server-1c
 * @subpackage views
 * @author     High Tech Lider ltd. <htlead@htlead.kz>
 * @copyright  2018 High Tech Lider
 * @license    http://www.gnu.org/copyleft/gpl.html GNU General Public License version 3 or later
 * @link       https://github.com/htlead/clear_os_1c_server
 */


///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->load->helper('number');
$this->lang->load('base');
$this->lang->load('server_1c');

///////////////////////////////////////////////////////////////////////////////
// Settings form
///////////////////////////////////////////////////////////////////////////////

$headers = array(
    lang('server_1c_rac_server_host'),
    lang('server_1c_rac_server_port'),
    lang('server_1c_rac_port_range'),
    lang('server_1c_rac_server_name'),
    lang('server_1c_rac_server_using'),
    lang('server_1c_rac_dedicate_managers'),
    lang('server_1c_rac_cluster_port')
);

$items = array();

foreach ($servers as $key => $server) {
    
    $rac=explode(":",$server);
    
    if((trim($rac[0])=='server')&&($key==0)){ 
	$item['title'] = trim($rac[1]); 
    }

    if((trim($rac[0])=='agent-host')||(trim($rac[0])=='agent-port')||(trim($rac[0])=='name')||(trim($rac[0])=='using')||(trim($rac[0])=='dedicate-managers')
        ||(trim($rac[0])=='cluster-port')){ 
	$item['details'][]=$rac[1];
    }
    
    if(trim($rac[0])=='port-range'){
	$item['details'][]=$rac[1].':'.$rac[2];
    }

    if((($key!=0)&&(trim($rac[0])=='server'))||($key==count($servers)-1))
    {
	$item['action'] = NULL;
	$item['anchors'] = button_set(array(anchor_custom('/app/server_1c/rac_1c/serveredit/'.$cluster.'/'.$item['title'], lang('base_edit')),
					    anchor_custom('/app/server_1c/rac_1c/serverdrop/'.$cluster.'/'.$item['title'], lang('base_delete')) ));
	$items[] = $item;
	$item=array();
	$item['title']=trim($rac[1]);
    }
}


// Table output
//-------------

$options = array (
    'id' => lang('server_1c_rac_name'),
    'responsive' => [
    2 => 'none',
    3 => 'none',
    4 => 'none',
    5 => 'none',
    6 => 'none',
    ],
    'default_rows' => 50
    );

$anchors   = array();
$anchors[] = anchor_custom('/app/server_1c/rac_1c/serveradd/'.$cluster, lang('server_1c_rac_server_add')); 
$anchors[] = anchor_custom('/app/server_1c/rac_1c/infobaseslist/'.$cluster, lang('server_1c_rac_infobases'));
$anchors[] = anchor_cancel('/app/server_1c');

echo summary_table(
    lang('server_1c_rac_app_name'),
    $anchors,
    $headers,
    $items,
    $options
);

echo form_close();
